/***************************************************************************

    file                 : vardef.h
    created              : Thu Dec 20 01:20:19 CET 2002
    copyright            : (C) 2002 Bernhard Wymann
    email                : berniw@bluewin.ch
    version              : $Id: driver.h,v 1.0.1 2004/10/09 01:15:26 cern91 Exp $

 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef _VARDEF_H_
#define _VARDEF_H_

#define BOT_NAME (char*)"formulix"	// Change it -> Name of the module (short name please)
#define SECT_PRIV "private"		// Change it -> Name of private section (xml file)
//#define CAR_NAME (char*)"fer333"	// The car model used

#define PRV_ATT_MUFACTOR 	"mufactor"
#define PRV_ATT_FUELTANKFACTOR 	"fueltankfactor"
#define PRV_ATT_CHANGEGEAR 	"gearchanging"
#define PRV_ATT_MAXGEAR		"maxgear"

#define PRV_ATT_PITTIME 	"pittime"
#define PRV_ATT_PITSTRAT	"pitstrat"
#define PRV_ATT_PITOFFSET 	"PitOffset"
#define PRV_ATT_PITENTRYMARGIN	"pitentrymargin"
#define PRV_ATT_PITMARGIN	"pitspeedmargin"
#define PRV_ATT_PITENTRY	"pitentryspeed"
#define PRV_ATT_PITEXIT		"pitexitspeed"
#define PRV_ATT_PITEXITMARGIN	"pitexitmargin"

#define PRV_ATT_BESTLAP 	"bestlap"
#define PRV_ATT_WORSTLAP 	"worstlap"
#define PRV_ATT_TEAMMATE 	"teammate"

#define PRV_ATT_FUELPERMETER 	"fuelpermeter"
#define PRV_ATT_FUELPERLAP 	"fuelperlap"
#define PRV_ATT_MAXDAMAGE 	"setmaxdamage"

#define PRV_ATT_BRAKEDIST	"BrakeDelay"
#define PRV_ATT_BRAKEFACTOR	"BrakeFactor"
#define PRV_ATT_BRAKEFORCE	"BrakeForce"
#define PRV_ATT_BUMPFACTOR	"bumpfactor"

#define PRV_ATT_SAVE_DATA	"savesegdata"

/*=========================================================================*
	 	 global constants definition 
 *=========================================================================*/

// Status flags
		const int OPP_IGNORE     = 0x000100;
		const int OPP_FRONT	 = 0x000004; // Opponent are in front of my car
		const int OPP_BACK	 = 0x000008; // Opponent are behind my car
		const int OPP_SIDE	 = 0x000020; // Looking to a side
		const int OPP_LEFT	 = 0x000001; // Opponent are at my left side
		const int OPP_RIGHT	 = 0x000002; // Opponent are at my right side
		const int OPP_COLL       = 0x004000;
		const int OPP_LETPASS    = 0x040000;
		const int OPP_FRONT_FAST     = 0x000100; // Drives faster than we
		const int OPP_FRONT_FOLLOW     = 0x000200; // Drives slower than we

#endif
